Index: uspace/srv/net/il/ip/ip.c
===================================================================
--- uspace/srv/net/il/ip/ip.c	(revision 40ffda8c66dc2c631d4b6944acb463ef338a5926)
+++ uspace/srv/net/il/ip/ip.c	(revision df3c6f025cfa7241c63072736ea365c3118485f9)
@@ -201,5 +201,5 @@
 
 	/* Set the destination address */
-	switch (GET_HEADER_VERSION(header)) {
+	switch (GET_IP_HEADER_VERSION(header)) {
 	case IPVERSION:
 		addrlen = sizeof(dest_in);
@@ -635,5 +635,5 @@
 
 	/* Process all IP options */
-	while (next < GET_HEADER_LENGTH(first)) {
+	while (next < GET_IP_HEADER_LENGTH(first)) {
 		option = (ip_option_t *) (((uint8_t *) first) + next);
 		/* Skip end or noop */
@@ -656,7 +656,7 @@
 	if (length % 4) {
 		bzero(((uint8_t *) last) + length, 4 - (length % 4));
-		SET_HEADER_LENGTH(last, (length / 4 + 1));
+		SET_IP_HEADER_LENGTH(last, (length / 4 + 1));
 	} else {
-		SET_HEADER_LENGTH(last, (length / 4));
+		SET_IP_HEADER_LENGTH(last, (length / 4));
 	}
 
@@ -706,6 +706,6 @@
 		return rc;
 	
-	SET_HEADER_VERSION(header, IPV4);
-	SET_HEADER_FRAGMENT_OFFSET_HIGH(header, 0);
+	SET_IP_HEADER_VERSION(header, IPV4);
+	SET_IP_HEADER_FRAGMENT_OFFSET_HIGH(header, 0);
 	header->fragment_offset_low = 0;
 	header->header_checksum = 0;
@@ -735,9 +735,9 @@
 			memcpy(middle_header, last_header,
 			    IP_HEADER_LENGTH(last_header));
-			SET_HEADER_FLAGS(header,
-			    (GET_HEADER_FLAGS(header) | IPFLAG_MORE_FRAGMENTS));
+			SET_IP_HEADER_FLAGS(header,
+			    (GET_IP_HEADER_FLAGS(header) | IPFLAG_MORE_FRAGMENTS));
 			middle_header->total_length =
 			    htons(packet_get_data_length(next));
-			SET_HEADER_FRAGMENT_OFFSET_HIGH(middle_header,
+			SET_IP_HEADER_FRAGMENT_OFFSET_HIGH(middle_header,
 			    IP_COMPUTE_FRAGMENT_OFFSET_HIGH(length));
 			middle_header->fragment_offset_low =
@@ -769,5 +769,5 @@
 		middle_header->total_length =
 		    htons(packet_get_data_length(next));
-		SET_HEADER_FRAGMENT_OFFSET_HIGH(middle_header,
+		SET_IP_HEADER_FRAGMENT_OFFSET_HIGH(middle_header,
 		    IP_COMPUTE_FRAGMENT_OFFSET_HIGH(length));
 		middle_header->fragment_offset_low =
@@ -786,6 +786,6 @@
 		length += packet_get_data_length(next);
 		free(last_header);
-		SET_HEADER_FLAGS(header,
-		    (GET_HEADER_FLAGS(header) | IPFLAG_MORE_FRAGMENTS));
+		SET_IP_HEADER_FLAGS(header,
+		    (GET_IP_HEADER_FLAGS(header) | IPFLAG_MORE_FRAGMENTS));
 	}
 
@@ -836,5 +836,5 @@
 	new_header->total_length = htons(IP_HEADER_LENGTH(new_header) + length);
 	offset = IP_FRAGMENT_OFFSET(header) + IP_HEADER_DATA_LENGTH(header);
-	SET_HEADER_FRAGMENT_OFFSET_HIGH(new_header,
+	SET_IP_HEADER_FRAGMENT_OFFSET_HIGH(new_header,
 	    IP_COMPUTE_FRAGMENT_OFFSET_HIGH(offset));
 	new_header->fragment_offset_low =
@@ -867,6 +867,6 @@
 		return NULL;
 	memcpy(middle, last, IP_HEADER_LENGTH(last));
-	SET_HEADER_FLAGS(middle,
-	    (GET_HEADER_FLAGS(middle) | IPFLAG_MORE_FRAGMENTS));
+	SET_IP_HEADER_FLAGS(middle,
+	    (GET_IP_HEADER_FLAGS(middle) | IPFLAG_MORE_FRAGMENTS));
 	return middle;
 }
@@ -925,5 +925,5 @@
 
 	/* Fragmentation forbidden? */
-	if(GET_HEADER_FLAGS(header) & IPFLAG_DONT_FRAGMENT)
+	if(GET_IP_HEADER_FLAGS(header) & IPFLAG_DONT_FRAGMENT)
 		return EPERM;
 
@@ -961,6 +961,6 @@
 
 	/* Mark the first as fragmented */
-	SET_HEADER_FLAGS(header,
-	    (GET_HEADER_FLAGS(header) | IPFLAG_MORE_FRAGMENTS));
+	SET_IP_HEADER_FLAGS(header,
+	    (GET_IP_HEADER_FLAGS(header) | IPFLAG_MORE_FRAGMENTS));
 
 	/* Create middle fragments */
@@ -1323,5 +1323,5 @@
 	int rc;
 
-	if ((GET_HEADER_FLAGS(header) & IPFLAG_MORE_FRAGMENTS) ||
+	if ((GET_IP_HEADER_FLAGS(header) & IPFLAG_MORE_FRAGMENTS) ||
 	    IP_FRAGMENT_OFFSET(header)) {
 		// TODO fragmented
@@ -1329,5 +1329,5 @@
 	}
 	
-	switch (GET_HEADER_VERSION(header)) {
+	switch (GET_IP_HEADER_VERSION(header)) {
 	case IPVERSION:
 		addrlen = sizeof(src_in);
@@ -1451,5 +1451,5 @@
 
 	/* Set the destination address */
-	switch (GET_HEADER_VERSION(header)) {
+	switch (GET_IP_HEADER_VERSION(header)) {
 	case IPVERSION:
 		addrlen = sizeof(addr_in);
